[Overview][Procedures and functions][Index] | Reference for unit 'strings' (#rtl)

# strdispose

disposes of a null-terminated string on the heap

## Declaration

Source position: strings.pp line 100

`procedure strdispose(`
`p: pchar`
`);`

## Description

Removes the string in P from the heap and releases the memory.

## Errors

None.

## See also

StrNew |  | Allocate room for new null-terminated string.

## Example

    Program Example17;

    Uses strings;

    { Program to demonstrate the StrDispose function. }

    Const P1 : PChar = 'This is a PChar string';

    var P2 : PChar;

    begin
      P2:=StrNew (P1);
      Writeln ('P2 : ',P2);
      StrDispose(P2);
    end.

Documentation generated on: Feb 26 2014